## gusb-source gusb-source — GSource integration for libusb |

## Functions

GQuark | g_usb_source_error_quark ()
void | g_usb_source_set_callback ()

## Types and Values

#define | G_USB_SOURCE_ERROR
enum | GUsbSourceError
| GUsbSource

## Description

This object used to integrate libusb into the GLib main loop before we used a thread. It's now pretty much unused.

## Functions

### g_usb_source_error_quark ()

    GQuark
    g_usb_source_error_quark (void);

`g_usb_source_error_quark` is deprecated and should not be used in newly-written code.

#### Returns

Our personal error quark.

Since 0.1.0

### g_usb_source_set_callback ()

    void
    g_usb_source_set_callback (GUsbSource *source,
                               GSourceFunc func,
                               gpointer data,
                               GDestroyNotify notify);

`g_usb_source_set_callback` is deprecated and should not be used in newly-written code.

This function does nothing.

#### Parameters

source | a GUsbSource |
func | a function to call |
data | data to pass to `func` |
notify | a GDestroyNotify |

Since 0.1.0

## Types and Values

### G_USB_SOURCE_ERROR

    #define G_USB_SOURCE_ERROR			(g_usb_source_error_quark ())

### enum GUsbSourceError

The error code.

#### Members

G_USB_SOURCE_ERROR_INTERNAL |  |

### GUsbSource

    typedef struct _GUsbSource GUsbSource;